1. Plans
Saaslogic
  • Enum Reference
  • Authentication
  • Introduction
  • Products
    • Resources
      • Create Product Resource
    • Coupons
      • Publish Coupon
      • Create Coupon
      • Update Coupon
      • Get Coupon
      • Get Coupons
    • Create Product
    • Get Product
    • List all products
    • Update Product
  • Authentication
    • saaslogic token
      • Get the saaslogic access token
    • login Url
      • Gives the login URL
    • logout Url
      • Gives the logout URL
  • Countries
    • Get list of countries
  • Plans
    • Create Plan
      POST
    • Update Plan
      PUT
    • Publish Plan
      PUT
    • Get Plan
      GET
    • Get Plans
      POST
    • List all plans for a product
      GET
  • Subscriptions
    • Get Subscriptions
    • Change subscription plan
    • Create a product subscription
    • Retrieve a subscription
    • Create Customer and Subscription
    • Subscription with details permissions, menus and features
    • The Saaslogic URL for creating subscription
  • Usage Reporting
    • Report the resource usages in subscription for invoicing
    • Retrieves the resource usages of a subscription in the current billing cycle
  • Customers
    • addresses
      • Create an address
      • List all addresses
      • Update an address
      • Retrieve an address
      • Delete an address
    • contacts
      • Create a contact
      • List all contacts
      • Update a contact
      • Retrieve a contact
      • Delete a contact
    • Create a customer
    • List all customers
    • Update a customer
    • Retrieve a customer
    • Delete a customer
  • Vendors
    • vendor addresses
      • Create a vendor address.
      • List all vendor addresses.
      • Update a vendor address.
      • Retrieve a vendor address..
      • Delete a vendor address.
    • vendor contacts
      • Create a vendor contact.
      • List all vendor contacts.
      • Update a vendor contact.
      • Retrieve a vendor contact.
      • Delete a vendor contact.
    • vendor bills
      • Create a vendor bill
      • Cancel a vendor bill.
    • vendor bills payout
      • Update payment details to vendor bills.
    • Create a vendor
    • Update a vendor.
    • Activate a vendor.
    • Deactivate a vendor
  • Invoices
    • subscriptions
      • Get the invoices
      • Get the invoices by subscription
    • payments
      • Mark the invoice payment status
    • Approve the invoice
    • Get Invoices
    • Get the invoice details .
    • Cancel the invoice
    • Send invoice as pdf with payment link.
    • Create an on-demand invoice
  • States
    • Get list of states
  • Addons
    • List all addons for a product
  • Submerchant
    • Create a submerchant
  • UOM
    • Create UOM
    • Update UOM
    • List UOMs
    • Get UOM
  • HostedPages
    • Enable Hosted Page
  • Schemas
    • Invoice
      • InvoiceSubscriptionDTO
      • InvoiceInfo
      • InvoiceDetail
      • InvoiceProduct
      • InvoiceLineItemDTO
      • InvoicePayment
      • InvoiceAttributeDTO
      • InvoiceRequestDTO
      • InvoiceRequestProduct
      • InvoiceRequestLineItem
      • InvoiceRequestLineItemTax
      • InvoiceRequestDiscount
      • InvoicePaginatedResponse
    • Vendor
      • Vendor
      • VendorContact
      • VendorAddress
      • VendorBill
    • Subscriptions
      • SubscritpionPaginatedResponse
      • Subscription
      • ResourceQuantities
      • ChangeSubscriptionRequest
    • Pagination
      • PageRequest
      • SortCriteria
      • FilterCriteria
      • Pagination
      • InvoiceList
      • PageResponse
    • Plan
      • Plan
      • PlanSearchRequest
    • UOM
      • UOM
    • Product
      • ProductResource
      • ProductFeature
      • Product
      • ProductAttribute
      • Coupon
      • CouponSearchRequest
    • AccessTokenResponse
    • ProductAPIKey
    • Country
    • Customer
    • CustomerAddress
    • PaymentInfo
    • CustomerWithSubscription
    • State
    • Addon
    • CustomerContact
    • Submerchant
    • HostedPageAccessRequest
  1. Plans

Get Plans

POST
/plans/search
Retrieve plans using optional filters. If no filters are provided, all plans available to the authenticated merchant will be returned.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

🔴500ErrorResponse
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://api-sandbox.saaslogic.io/v1/plans/search' \
--header 'Authorization: Bearer ' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
    "productIds": [
        "8edf1695-0bd1-45c5-9a55-2ce6b6fec9ef"
    ],
    "productNames": [
        "Subscription Management Platform"
    ],
    "statuses": [
        "Published",
        "Draft"
    ]
}'
Response Response Example
200 - Example 1
[
    {
        "planId": "plan-ref-0001",
        "planName": "Pro Plan",
        "description": "A short description",
        "currencyISOCode": "USD",
        "isPostPaid": false,
        "isUsageBased": false,
        "isVisibleToCustomer": false,
        "targetCustomerTypes": [
            "Business",
            "Individual",
            "Sub-Merchant"
        ],
        "isTrialEnabled": false,
        "serviceAddress": {
            "address": "100 W. Old Wilson Bridge Road, \nOhio 43085, USA",
            "countryCode": "USA",
            "stateCode": "OH",
            "city": "Worthington",
            "zip": "43085"
        },
        "sellingCountryIsoCodes": [
            "USA"
        ],
        "oneTimeCharges": [
            {
                "label": "Setup fee",
                "price": 99.00
            }
        ],
        "recurringCharges": [
            {
                "billingFrequency": "Monthly",
                "fixedCharges": [
                    {
                        "label": "Standard",
                        "price": 29.99
                    }
                ],
                "resourceBasedCharges": [
                    {
                        "resourceName": "API Calls",
                        "uomName": "Number",
                        "isPercentage": false,
                        "tiers": [
                            {
                                "rangeFrom": 0.0,
                                "rangeTo": 1000.0,
                                "price": 1.00
                            }
                        ]
                    }
                ]
            }
        ],
        "includedResources": [
            {
                "resourceName": "Storage",
                "uomName": "GB",
                "value": 10.0,
                "isPerUnit": true,
                "dependsOnResource": "API Calls"
            }
        ],
        "features": [
            "test management"
        ],
        "tierCalculationType": "Volume",
        "status": "Draft",
        "productName": "Subscription Management Platform",
        "shareType": "Direct"
    }
]
Previous
Get Plan
Next
List all plans for a product
Built with